--  @(#)67    1.4  src/tedw_apps/inv/install/v420/etl/sql/INV_c10_s010_extractInvData.db2, inventory, inventory_4.2.2, 20041114  8/23/02  13:21:09
--
-- Licensed Materials - Property of IBM
--
-- 5698-INV
--
-- (C) Copyright IBM Corp. 2002 All Rights Reserved
--
-- US Government Users Restricted Rights - Use, duplication or
-- disclosure restricted by GSA ADP Schedule Contract with
-- IBM Corp

-- Purpose: Extracts INV data from DB2 into staging
----------------------------------


----------------------------------
----------------------------------
-- Extract INV_IPHOST values
----------------------------------
--#EXECUTE_AT_TARGET
--#IGNORE_ERROR
drop table inv.stage_computer;
--#EXECUTE_AT_TARGET
create table inv.stage_computer like inv.stage_computer_t;
--#INSERT_INTO_TARGET
insert into inv.stage_computer
SELECT
   c.COMPUTER_SYS_ID AS COMPUTER_SYS_ID,
   c.TME_OBJECT_ID AS TME_OBJECT_ID,
   c.TME_OBJECT_LABEL AS TME_OBJECT_LABEL,
   c.COMPUTER_MODEL AS COMPUTER_MODEL,
   c.SYS_SER_NUM AS SYS_SER_NUM,
   c.OS_NAME AS OS_NAME,
   c.OS_TYPE AS OS_TYPE,
   c.OS_MAJOR_VERS AS OS_MAJOR_VERS,
   c.OS_MINOR_VERS AS OS_MINOR_VERS,
   c.OS_SUB_VERS AS OS_SUB_VERS,
   c.RECORD_TIME AS RECORD_TIME
FROM
   COMPUTER c
ORDER BY
   COMPUTER_SYS_ID
;

--#EXECUTE_AT_TARGET
--#IGNORE_ERROR
drop table inv.stage_pcsys;
--#EXECUTE_AT_TARGET
create table inv.stage_pcsys like inv.stage_pcsys_t;
--#INSERT_INTO_TARGET
insert into inv.stage_pcsys
SELECT
   p.COMPUTER_SYS_ID as COMPUTER_SYS_ID,
   p.USER_NAME as USER_NAME,
   p.DOMAIN_NAME as DOMAIN_NAME,
   p.WORKGROUP_NAME as WORKGROUP_NAME
FROM
   PC_SYS_PARAMS p
ORDER BY
   COMPUTER_SYS_ID
;

--#EXECUTE_AT_TARGET
--#IGNORE_ERROR
drop table inv.stage_ipnetwork;
--#EXECUTE_AT_TARGET
create table inv.stage_ipnetwork like inv.stage_ipnetwork_t;
--#INSERT_INTO_TARGET
insert into inv.stage_ipnetwork
SELECT
   i.COMPUTER_SYS_ID as COMPUTER_SYS_ID,
   i.IP_HOSTNAME as IP_HOSTNAME,
   i.IP_DOMAIN as IP_DOMAIN,
   i.IP_ADDR as IP_ADDR
FROM
   IP_ADDR i
ORDER BY
   COMPUTER_SYS_ID,
   IP_HOSTNAME,
   IP_DOMAIN,
   IP_ADDR
;

--#EXECUTE_AT_TARGET
--#IGNORE_ERROR
drop table inv.stage_ipxnetwork;
--#EXECUTE_AT_TARGET
create table inv.stage_ipxnetwork like inv.stage_ipxnetwork_t;
--#INSERT_INTO_TARGET
insert into inv.stage_ipxnetwork
SELECT
   i.COMPUTER_SYS_ID as COMPUTER_SYS_ID,
   i.IPX_ADDR as IPX_ADDR
FROM
   IPX_ADDR i
ORDER BY
   COMPUTER_SYS_ID,
   IPX_ADDR
;

--#EXECUTE_AT_TARGET
--#IGNORE_ERROR
drop table inv.stage_memory;
--#EXECUTE_AT_TARGET
create table inv.stage_memory like inv.stage_memory_t;
--#INSERT_INTO_TARGET
insert into inv.stage_memory
SELECT
   c.COMPUTER_SYS_ID as COMPUTER_SYS_ID,
   c.PHYSICAL_TOTAL_KB as PHYSICAL_TOTAL_KB
FROM
   COMPUTER_SYS_MEM c
ORDER BY
   COMPUTER_SYS_ID
;

--#EXECUTE_AT_TARGET
--#IGNORE_ERROR
drop table inv.stage_processor;
--#EXECUTE_AT_TARGET
create table inv.stage_processor like inv.stage_processor_t;
--#INSERT_INTO_TARGET
insert into inv.stage_processor
SELECT
   i.COMPUTER_SYS_ID,
   count(*),
   MIN(p.MANUFACTURER),
   MIN(p.PROCESSOR_MODEL),
   MIN(p.MAX_SPEED),
   MIN(p.CURRENT_SPEED),
   MIN(p.CHIP_FAMILY),
   MIN(p.CHIP_MODEL)
FROM
   PROCESSOR p,
   INST_PROCESSOR i
WHERE
   i.PROCESSOR_ID = p.PROCESSOR_ID
GROUP BY
   i.COMPUTER_SYS_ID
;


----------------------------------
-- Extract INV_STORAGE values
----------------------------------
--#EXECUTE_AT_TARGET
--#IGNORE_ERROR
drop table inv.stage_storage;
--#EXECUTE_AT_TARGET
create table inv.stage_storage like inv.stage_storage_t;
--#INSERT_INTO_TARGET
insert into inv.stage_storage
SELECT
   s.COMPUTER_SYS_ID,
   s.INST_STORAGE_ID,
   s.STORAGE_TYPE,
   s.MANUFACTURER,
   s.MODEL,
   h.HDISK_SIZE_MB
FROM
   STORAGE_DEV s,
   HDISK h
WHERE
   s.HDISK_ID = h.HDISK_ID
ORDER BY
   COMPUTER_SYS_ID,
   INST_STORAGE_ID
;

----------------------------------
-- Extract INV_MEM_MODULE values
----------------------------------
--#EXECUTE_AT_TARGET
--#IGNORE_ERROR
drop table inv.stage_mem_module;
--#EXECUTE_AT_TARGET
create table inv.stage_mem_module like inv.stage_mem_module_t;
--#INSERT_INTO_TARGET
insert into inv.stage_mem_module
SELECT
   m.COMPUTER_SYS_ID as COMPUTER_SYS_ID,
   m.INST_MEM_ID as INST_MEM_ID,
   m.MODULE_SIZE_MB as MODULE_SIZE_MB,
   m.SOCKET_NAME as SOCKET_NAME,
   m.PACKAGING as PACKAGING,
   m.MEM_TYPE as MEM_TYPE
FROM
   MEM_MODULES m
ORDER BY
   COMPUTER_SYS_ID,
   INST_MEM_ID
;

