--  @(#)62    1.7.2.1  src/tedw_apps/inv/install/v420/mart/ddl/inv_mart_schema.sql, inventory, inventory_4.2.2, 20041114  11/10/04  04:55:06
--
-- Licensed Materials - Property of IBM
--
-- 5698-INV
--
-- (C) Copyright IBM Corp. 2002 All Rights Reserved
--
-- US Government Users Restricted Rights - Use, duplication or
-- disclosure restricted by GSA ADP Schedule Contract with
-- IBM Corp


-- DIMENSION SWD_HOST

create table inv.D_SWD_HOST (
 HOST_ID          integer not null,
 CUST_ACCT_CD     char(10) not null,
 CENTR_CD         char(6) not null,
 HOSTNAME         varchar(64) not null,
 IP_ADDRESS       varchar(40) not null,
 OS_NAME          varchar(64) not null,
 MAJOR_VERSION    integer not null,
 MINOR_VERSION    integer not null,
 SUB_VERSION      varchar(32) ,
 PHYSICAL_MEM_KB  integer not null,
 NUM_CPUS         integer not null,
 CPU_MODEL        varchar(32) not null,
 CPU_SPEED_MHZ    integer not null,

 IP_A_NETWORK     varchar(40) not null,
 IP_B_NETWORK     varchar(40) not null,
 IP_C_NETWORK     varchar(40) not null,
 NETWORK_DOMAIN   varchar(64),
 NETWORK_SUBDOMAIN    varchar(64),
 NETWORK_SUBDOMAIN_2  varchar(64),
 SHORT_HOSTNAME       varchar(64),
 PHYSICAL_MEMORY_RANGE      varchar(32),
 OS_NAME_VERSION     varchar(128),
      primary key (HOST_ID)
);

-- DIST_ID will concat both ip_host name and mdist_id
create table inv.D_SWD_DIST (
 DIST_ID          integer not null,
 MDIST_ID         varchar(32) not null,
 DIST_SIZE_KB     integer not null,
 FILEPACK_NAME    varchar(128) not null,
 FILEPACK_VERSION varchar(64) not null,
 FILEPACK_NAME_VERSION varchar(128) not null,
 SD_ACTION        varchar(64) not null,
 SD_STATE         varchar(32) not null,
 MD_STATE         varchar(16) not null,
      primary key (dist_id, filepack_name, filepack_version, sd_state)
);

-- msmttype (aka metric) dimension table
-- This is a static table populated by sql scripts vs DWC

create table inv.D_SWD_METRIC (
 Metric_ID            INTEGER NOT NULL,
 Met_Name             VARCHAR(52) NOT NULL,
 Met_Desc             VARCHAR(254),
 Met_Units            CHAR(20) NOT NULL,
 Met_Category         CHAR(120) NOT NULL,
 MIN_Exists           CHARACTER NOT NULL,
 MAX_Exists           CHARACTER NOT NULL,
 AVG_Exists           CHARACTER NOT NULL,
 Total_Exists         CHARACTER NOT NULL,
 MSrc_Nm              VARCHAR(50),
       PRIMARY KEY (Metric_ID)
);

-- Prune Control table
-- Note that PMartC_Duration is a DB2 date duration field and data is
-- stored in yyyymmdd format. A value of 300 indicates 3 months.

create table inv.prune_mart_control (
  Table_Name       varchar(120) not null,
  PMartC_Duration  decimal(8,0) not null
);


-- FACT DAY table

create table inv.F_SWD_DAY (
  Metric_ID integer,
  HOST_ID   integer,
  DIST_ID   integer,
  Meas_date timestamp,
  Min_value decimal(9,2),
  Max_value decimal(9,2),
  Avg_value decimal(9,2),
  Total_value decimal(9,2),
  sample_count integer   
);
create table inv.F_SWD_DAY_T like inv.F_SWD_DAY;
