--  @(#)65    1.3  src/tedw_apps/inv/install/v420/mart/dml/inv_mart_data.sql, inventory, inventory_4.2.2, 20041114  8/23/02  11:50:16
--
-- Licensed Materials - Property of IBM
--
-- 5698-INV
--
-- (C) Copyright IBM Corp. 2002 All Rights Reserved
--
-- US Government Users Restricted Rights - Use, duplication or
-- disclosure restricted by GSA ADP Schedule Contract with
-- IBM Corp

-- Insert data into the prune control table for pruning data from all hte
-- fact tables in the mart database.
-- Data for a date duration column is in the form yyyymmdd, so a value of
-- 300 indicates 3 months.

declare global temporary table prune_mart_control (
  Table_Name       varchar(120) not null,
  PMartC_Duration  decimal(8,0) not null
)
with replace on commit preserve rows not logged
;

insert into session.prune_mart_control values (
  'inv.F_SWD_DAY', 0300
);

insert into inv.prune_mart_control
select 
  s.Table_Name as Table_Name,
  s.PMartC_Duration as PMartC_Duration
from
  session .Prune_Mart_Control s
where not exists
(
  select 1 from
    inv.Prune_Mart_Control t
  where
    t.table_name = s.table_name
);
